PKGCTL-LICENSE-CHECK(1)

NAME
pkgctl-license-check - Checks package licensing compliance using REUSE

SYNOPSIS

pkgctl license check [OPTIONS] [PKGBASE...]

DESCRIPTION

Checks package licensing compliance using REUSE and also verifies whether a LICENSE file with the expected Arch Linux-specific 0BSD license text exists.

CONFIGURATION

Uses reuse(1) and a REUSE.toml file located alongside the PKGBUILD(5). Refer to the configuration section in pkgctl-license(1).

If no PKGBASE is specified, the command defaults to using the current working directory.

OPTIONS

-h, --help
    Show a help text

EXIT CODES

On exit, return one of the following codes:

0
    Normal exit condition, all checked packages are compliant

1
    Unknown cause of failure

2
    Normal exit condition, but some packages are not compliant

SEE ALSO

pkgctl-license(1) reuse(1) PKGBUILD(5)

HOMEPAGE

Please report bugs and feature requests in the issue tracker. Please do your best to provide a reproducible test case for bugs.